%
% function [ outstring ] = filetostring( filename )
%
% Takes all the text in an ASCII file and concatenates it into a single
% matlab string.  Suitable for reading in a text file and generating a string
% that will be fed to the 'gentext' script for handwriting synthesis.
%
function [ outstring ] = filetostring( filename )

fid = fopen(filename,'r');

outstring = [];

while(1)
  curline = fgets(fid);
  if (curline == -1)
      break;
  end
  outstring = [outstring curline];
end